import java.io.File;

public class Class426 {

   Class424 aClass424_5367;
   public int anInt5368;
   public int anInt5369;
   public boolean aBool5370 = false;
   static File aFile5371;


   public boolean method7259() {
      return this.aClass424_5367.aClass253_5356.method4507(2039904785 * this.anInt5368, 445935559);
   }

   void method7260(RS2Buffer var1, int var2) {
      while(true) {
         int var3 = var1.readUnsignedByte(-700559597);
         if(var3 == 0) {
            if(var2 >= -1524537854) {
               ;
            }

            return;
         }

         this.method7263(var1, var3, 1321840091);
      }
   }

   void method7261(RS2Buffer var1) {
      while(true) {
         int var2 = var1.readUnsignedByte(-700559597);
         if(var2 == 0) {
            return;
         }

         this.method7263(var1, var2, 1776401091);
      }
   }

   public Class171 method7262(Class545 var1, int var2, boolean var3, byte var4) {
      long var5 = (long)(this.anInt5368 * 2039904785 | var2 << 16 | (var3?262144:0) | var1.anInt7353 * -1659372711 << 19);
      Class171 var7 = (Class171)this.aClass424_5367.aClass564_5360.method11959(var5);
      if(var7 != null) {
         return var7;
      } else if(!this.aClass424_5367.aClass253_5356.method4507(2039904785 * this.anInt5368, -685990685)) {
         return null;
      } else {
         Class86 var8 = Class152.method2765(this.aClass424_5367.aClass253_5356, 2039904785 * this.anInt5368, 0);
         if(null != var8) {
            var8.method1750();
            if(var3) {
               var8.method1697();
            }

            for(int var9 = 0; var9 < var2; ++var9) {
               var8.method1705();
            }
         }

         var7 = var1.method11483(var8, true);
         if(null != var7) {
            this.aClass424_5367.aClass564_5360.method11958(var7, var5);
         }

         return var7;
      }
   }

   void method7263(RS2Buffer var1, int var2, int var3) {
      if(var2 == 1) {
         this.anInt5368 = var1.readLargeSmart(1711078966) * -559958287;
      } else if(var2 == 2) {
         this.anInt5369 = var1.readTriByte(857968456) * -1950717405;
      } else if(var2 == 3) {
         this.aBool5370 = true;
      } else if(var2 == 4) {
         this.anInt5368 = 559958287;
      }

   }

   void method7264(RS2Buffer var1) {
      while(true) {
         int var2 = var1.readUnsignedByte(-700559597);
         if(var2 == 0) {
            return;
         }

         this.method7263(var1, var2, -1930565549);
      }
   }

   public boolean method7265(int var1) {
      return this.aClass424_5367.aClass253_5356.method4507(2039904785 * this.anInt5368, 250247791);
   }

   void method7266(RS2Buffer var1) {
      while(true) {
         int var2 = var1.readUnsignedByte(-700559597);
         if(var2 == 0) {
            return;
         }

         this.method7263(var1, var2, 429419677);
      }
   }

   void method7267(RS2Buffer var1, int var2) {
      if(var2 == 1) {
         this.anInt5368 = var1.readLargeSmart(1721090748) * -559958287;
      } else if(var2 == 2) {
         this.anInt5369 = var1.readTriByte(-1117568938) * -1950717405;
      } else if(var2 == 3) {
         this.aBool5370 = true;
      } else if(var2 == 4) {
         this.anInt5368 = 559958287;
      }

   }

   public boolean method7268() {
      return this.aClass424_5367.aClass253_5356.method4507(2039904785 * this.anInt5368, 42731059);
   }

   static final void method7269(Class508 var0, int var1) {
      Class505 var2 = var0.aBool6014?var0.aClass505_6011:var0.aClass505_6010;
      Class124 var3 = var2.aClass124_5977;
      Class121 var4 = var2.aClass121_5978;
      Class276.method4888(var3, var4, var0, -1999308139);
   }
}
